Subject: [VCARDDAV] Fwd: Re: [scim] SCIM Issues

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 30 Apr 2012 15:59:05 -0700

FYI, the nascent SCIM effort (seemingly likely to become a WG) might be
a possible customer of vCard4...

Peter

-------- Original Message --------
Subject: Re: [scim] SCIM Issues
Date: Fri, 27 Apr 2012 01:57:21 -0500
From: Morteza Ansari (moransar) <[email-masked]>
To: Stephen Farrell <[email-masked]>, Samuel Erdtman
<[email-masked]>
CC: Radovan Semancik <[email-masked]>, [email-masked]

Stephen,

Kelly answered this question much better than I could:
http://www.ietf.org/mail-archive/web/scim/current/msg00302.html

The key reason for not using inetOrgPerson is the flat vs. complex data
model. Having said that, I think the WG should evaluate and consider
using other options like vCard4 which is a lot closer to the SCIM schema
than any native LDAP schema.

Cheers,
Morteza

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Stephen Farrell
Sent: Tuesday, April 17, 2012 11:35 AM
To: Samuel Erdtman
Cc: Radovan Semancik; [email-masked]
Subject: Re: [scim] SCIM Issues

Just a question on one snippet:

On 04/17/2012 06:09 AM, Samuel Erdtman wrote:
>> >
>> > The familyName and givenName attributes have culture-neutral names.

>> > This is a nice take from FOAF. But the middleName is not that good.

>> > It enforces "american" point of view to the schema. Maybe 
>> > "additionalName" would be more appropriate.
> I do not thing that middleName/additionalName is a big deal but good 
> point. to be fully compliant with the global view might we also the 
> need to make it multiValued for situations where more then one is 
> common?

Does this mean that scim intend to re-develop the equivalent of
inetOrgPerson?

That seems like an odd idea. Why is it necessary?

Note - I'm not saying "use ldif" here, but wondering why this putative
WG would need to go re-do all that data modelling work, as would be
implied by the quoted text above.

S
_______________________________________________
scim mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/scim
_______________________________________________
scim mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/scim